<?php
/**
 * 表示层基础类
 *
 * @author Wzb
 *        
 */
class USL_Base {
	/**
	 * 当前页名称
	 *
	 * @var string
	 */
	public $_thisName;
	
	/**
	 * 浏览器标题栏显示的内容（已排除网站名称）
	 *
	 * @var string
	 */
	public $_webStr;
	
	/**
	 * 当前位置
	 *
	 * @var array
	 */
	public $_address;
	
	/**
	 * 关键字
	 *
	 * @var string
	 */
	public $_keywords;
	
	/**
	 * 描述
	 *
	 * @var string
	 */
	public $_description;
	
	/**
	 * 位置标记
	 *
	 * @var string
	 */
	public $_weizhi;
	
	/**
	 * 左侧导航
	 *
	 * @var array
	 */
	public $_leftNav;
	
	/**
	 * Smarty对象
	 *
	 * @var obj
	 */
	public $_tpl;
	
	/**
	 * 配置对象
	 *
	 * @var array
	 */
	public $_configObj;
	
	/**
	 * 构造函数
	 */
	public function __construct() {
		global $configObj;
		$this->_tpl = COM_OftenFunction::openSmarty ();
		$this->_configObj = $configObj;
		$this->_address = array ();
		$this->_address [] = array ('title' => "网站首页",'url' => "http://$_SERVER[HTTP_HOST]" . $this->_configObj ['editorBase'] );
	}
	
	/**
	 * 公共调用设置变量值
	 */
	public function _showComm() {
		$this->_tpl->assign ( "configObj", $this->_configObj );
		$this->_tpl->assign ( "piaoFuDataList", $this->getPiaoFuDataList () );
// 		print_r($this->getPiaoFuDataList ());die;
		$this->_tpl->assign ( "weizhiRoot", $this->weizhiRoot () );
		
		//自定义
		/* $this->specialAssign();//特殊赋值
		$this->fileList();//文件列表后缀拼接 */
	}
	
	/**
	 * z字符串裁剪
	 */
	/* function specialAssign(){
	
		if ($this->_tag=='News' || $this->_tag=='support') {
			$dataList=$this->_pdObj->_getDataList ();//新闻
			for($i=0;$i<count($dataList);$i++){
			    //去除html格式
				$dataList[$i]['title']=COM_OftenFunction::noHtml($dataList[$i]['title']);
				//裁剪字符
				$dataList[$i]['title']=COM_OftenFunction::CutStr($dataList[$i]['title'],40,"......");
				$dataList[$i]['content']=COM_OftenFunction::noHtml($dataList[$i]['content']);
				$dataList[$i]['content']=COM_OftenFunction::CutStr($dataList[$i]['content'],144,"......");
			}
			$this->_tpl->assign ( "dataList", $dataList); // 新闻数据列表
		}else{
			$this->_tpl->assign ( "dataList", $this->_pdObj->_getDataList () ); // 数据列表
		}
	
	} */
	/**
	 * 字符串裁剪复用方法
	 */
	/* function noHtmlCutStr($newsList,$length=70,$str='...'){
		if(empty($newsList)){
			return array();
		}
		for($i=0;$i<count($newsList);$i++){
			$newsList[$i]['content']=COM_OftenFunction::noHtml($newsList[$i]['content']);
			$newsList[$i]['content']=COM_OftenFunction::CutStr($newsList[$i]['content'],$length,$str);
		}
		return $newsList;
	
	} */
	/**
	 * 文件列表后缀拼接
	 */
	/* function fileList(){
		$filelist=BLL_News::getList(11,true,'id,title,file');
		for($i=0;$i<count($filelist);$i++){
			$filelist[$i]['houzui']=explode('.',$filelist[$i]['file']);
			$filelist[$i]['title']=$filelist[$i]['title'].".".$filelist[$i]['houzui'][1];
		}
		$this->_tpl->assign("filelist",$filelist);
	} */
	/**
	 * 固定某两个字符之间切割字符串
	 */
	function cut($begin,$end,$str){
		$b = mb_strpos($str,$begin) + mb_strlen($begin);
		$e = mb_strpos($str,$end) - $b;
	
		return mb_substr($str,$b,$e);
	
	}
	
	/**
	 * 获取右侧漂浮 [不需要修改]
	 */
	private function getPiaoFuDataList() {
		if (intval ( $this->_configObj ['isShowPf'] ) > 0) {
			return BLL_Float::getAllList ();
		} else {
			return array ();
		}
	}
	
	/**
	 * 获取顶级位置 [不需要修改]
	 */
	protected function weizhiRoot() {
		$temparr = explode ( "_", $this->_weizhi );
		return $temparr [0];
	}
	
	/**
	 * 通过左侧导航获取当前位置 [不需要修改]
	 *
	 * @param array $datalist
	 * @param array &$address 注意这里是引用地址
	 * @param int $currentId 当前ID
	 */
	protected function getAddress($datalist, &$address) {
		foreach ( $datalist as $row ) {
			if (array_key_exists ( 'list', $row ) && count ( $row ['list'] ) > 0 && strpos ( strtolower ( $_SERVER ['REQUEST_URI'] ), strtolower ( $row ['url'] ) ) === false) {
				$address [] = array ("title" => $row ['title'],"url" => $row ['url'] );
				$this->getAddress ( $row ['list'], $address );
				break;
			}
		}
	}
}
?>